Package ch.qos.logback.classic.db.names

## Class SimpleDBNameResolver

- java.lang.Object
- - ch.qos.logback.classic.db.names.SimpleDBNameResolver

All Implemented Interfaces:
  `DBNameResolver`

    public class SimpleDBNameResolver
    extends java.lang.Object
    implements DBNameResolver

Adds custom prefix/suffix to table and column names.

Since:
  0.9.20
Author:
  Tomasz Nurkiewicz

### Constructor Summary

Constructors
`SimpleDBNameResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<N extends java.lang.Enum<?>> java.lang.String` `getColumnName​(N columnName)`
`<N extends java.lang.Enum<?>> java.lang.String` `getTableName​(N tableName)`
`void` `setColumnNamePrefix​(java.lang.String columnNamePrefix)`
`void` `setColumnNameSuffix​(java.lang.String columnNameSuffix)`
`void` `setTableNamePrefix​(java.lang.String tableNamePrefix)`
`void` `setTableNameSuffix​(java.lang.String tableNameSuffix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleDBNameResolver

    public SimpleDBNameResolver()

### Method Detail

#### getTableName

    public <N extends java.lang.Enum<?>> java.lang.String getTableName​(N tableName)

Specified by:
  `getTableName` in interface `DBNameResolver`

#### getColumnName

    public <N extends java.lang.Enum<?>> java.lang.String getColumnName​(N columnName)

Specified by:
  `getColumnName` in interface `DBNameResolver`

#### setTableNamePrefix

    public void setTableNamePrefix​(java.lang.String tableNamePrefix)

#### setTableNameSuffix

    public void setTableNameSuffix​(java.lang.String tableNameSuffix)

#### setColumnNamePrefix

    public void setColumnNamePrefix​(java.lang.String columnNamePrefix)

#### setColumnNameSuffix

    public void setColumnNameSuffix​(java.lang.String columnNameSuffix)